ReleaseDisk

1. API Description

This API (ReleaseDisk) is used to release a disk.

circle-info

Note

  • Operations on boot disks are not supported.

  • This operation is irreversible. Once the operation is successful, the disks will be completely released. Please operate with caution.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

diskId

Yes

String

Disk ID.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

Release a disk.

POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ReleaseDisk
<Common Request Params>

Request:
{
  "diskId": "your-disk-id"
}

Response:
{
  "requestId": "T52617F2F-33A3-42EF-B353-CC44271C89E4",
  "response": {
    "requestId": "T52617F2F-33A3-42EF-B353-CC44271C89E4"
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

404

INVALID_DISK_NOT_FOUND

Disk does not exist.

400

INVALID_DISK_NOT_PORTABLE

Disk is not detachable.

400

UNSUPPORTED_OPERATION_DISK_STATUS

Operations on the disk with current status are not supported.

Last updated